## org.eclipse.datatools.connectivity.ui
Class CommonLabelProviderBase

    java.lang.Object
      org.eclipse.datatools.connectivity.ui.CommonLabelProviderBase

Direct Known Subclasses:
  SQLModelLabelProviderExtension

public class CommonLabelProviderBase
extends java.lang.Object

Base label provider class that can be extended for adding content to a connection profile using a navigatorContent extension. Manages the labels for IContentExtension. Labels from the connection object on down is provided by the delegate label provider. This class allows clients to plug-in existing label providers for a connection type.

Constructor Summary
`CommonLabelProviderBase(ILabelProvider delegate)`

Method Summary
`void` `addListener(ILabelProviderListener listener)`
`void` `dispose()`
`boolean` `equals(java.lang.Object obj)`
`java.lang.String` `getDescription(java.lang.Object anElement)`
`Image` `getImage(java.lang.Object element)`
`java.lang.String` `getText(java.lang.Object element)`
`int` `hashCode()`
`void` `init(ICommonContentExtensionSite aConfig)`
`void` `init(IExtensionStateModel aStateModel, ITreeContentProvider aContentProvider)`
`boolean` `isLabelProperty(java.lang.Object element, java.lang.String property)`
`void` `removeListener(ILabelProviderListener listener)`
`void` `restoreState(IMemento aMemento)`
`void` `saveState(IMemento aMemento)`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommonLabelProviderBase

    public CommonLabelProviderBase(ILabelProvider delegate)

Method Detail

### init

    public void init(IExtensionStateModel aStateModel,
                     ITreeContentProvider aContentProvider)

### getDescription

    public java.lang.String getDescription(java.lang.Object anElement)

### restoreState

    public void restoreState(IMemento aMemento)

### saveState

    public void saveState(IMemento aMemento)

### getImage

    public Image getImage(java.lang.Object element)

### getText

    public java.lang.String getText(java.lang.Object element)

### addListener

    public void addListener(ILabelProviderListener listener)

### isLabelProperty

    public boolean isLabelProperty(java.lang.Object element,
                                   java.lang.String property)

### removeListener

    public void removeListener(ILabelProviderListener listener)

### dispose

    public void dispose()

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

### init

    public void init(ICommonContentExtensionSite aConfig)

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.